Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 423443 - =games-emulation/lxdream-0.9.1-r2 fails to build with dev-libs/glib-2.32
Summary: =games-emulation/lxdream-0.9.1-r2 fails to build with dev-libs/glib-2.32
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chí-Thanh Christopher Nguyễn
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-06-25 08:14 UTC by Sergei Trofimovich
Modified: 2012-09-11 19:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lxdream-0.9.1-r2-glib-2.32.patch (lxdream-0.9.1-r2-glib-2.32.patch,9.33 KB, text/plain)
2012-06-25 08:25 UTC, Sergei Trofimovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2012-06-25 08:14:47 UTC
Fails to build as:

> In file included from tools/gendec.c:26:0:
> /usr/include/glib-2.0/glib/gstrfuncs.h:28:2: error: #error "Only <glib.h> can be included directly."
Comment 1 Sergei Trofimovich gentoo-dev 2012-06-25 08:25:39 UTC
Created attachment 316227 [details]
lxdream-0.9.1-r2-glib-2.32.patch
Comment 2 Pacho Ramos gentoo-dev 2012-09-11 19:41:42 UTC
+  11 Sep 2012; Pacho Ramos <pacho@gentoo.org>
+  +files/lxdream-0.9.1-glib-single-include.patch, lxdream-0.9.1-r2.ebuild:
+  Fix compilation against glib-2.32, bug #423443.
+